Package org.springframework.security.access.prepost

# Interface PostInvocationAuthorizationAdvice

All Superinterfaces:
  `org.springframework.aop.framework.AopInfrastructureBean`

All Known Implementing Classes:
  `ExpressionBasedPostInvocationAdvice`

@Deprecated public interface PostInvocationAuthorizationAdvice extends org.springframework.aop.framework.AopInfrastructureBean
Deprecated.
Use `AuthorizationManagerAfterMethodInterceptor` instead
Performs filtering and authorization logic after a method is invoked.

Since:
  3.0

## Method Summary

Modifier and Type
Method
Description
`Object`
`after(Authentication authentication, org.aopalliance.intercept.MethodInvocation mi, PostInvocationAttribute pia, Object returnedObject)`
Deprecated.

## Method Details

### after

Object after(Authentication authentication, org.aopalliance.intercept.MethodInvocation mi, PostInvocationAttribute pia, Object returnedObject) throws AccessDeniedException
Deprecated.

Throws:
  `AccessDeniedException`